[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlRolesForForm

Set type used to store values from the TControlRoleForForm enumeration.

## Declaration

Source position: controls.pp line 233

`type TControlRolesForForm = set of (`
`crffDefault,` |  | This control is notified when the user presses Return.
`crffCancel` |  | This control is notified when the user presses Escape.
`);`

## Description

TControlRolesForForm is the type returned from the TCustomForm.GetRolesForControl method.

## See also

TControlRoleForForm |  | Possible default actions on special keys.
TCustomForm |  | The base type for TForm classes.